<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Получение команды'; 
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

if($user_id && !$club_id)
{
	switch($act)
	{
		default:
		$q=mysql_query("select * from fman_clubs where user_id<1 and id!=131;");
		echo"<div class='phdr'>Выберете клуб, менеджером которого вы хотите стать</div>";
		if(!mysql_num_rows($q))echo"<div class='menu'>Свободных мест нет</div>"; 
		else
		{
			echo"<div class='menu'>";
			while($a=mysql_fetch_array($q))echo"<a href='zayv.php?act=pod&amp;id=$a[id]'>$a[name]</a><br/>";
			echo"</div>";
		}
		break;
		case 'pod':
		$q=mysql_query("select * from fman_clubs where id='$id';");
		$a=mysql_fetch_array($q);
		if($a[user_id]<1)
		{
			if(!isset($_GET[yes]))
			{
				echo"<div class='menu'>Вы уверены что хотите стать менеджером клуба <b>$a[name]</b>?<br/>
				<a href='zayv.php?act=pod&amp;id=$id&amp;yes=yes'>Да</a> | <a href='zayv.php'>Нет</a></div>";
			}
			else
			{
				if($rights>=1)$u9=1; else $u9=0;
				mysql_query("update fman_clubs set user_id='$user_id', u8='".time()."', u9='$u9' where id='$id'");
				$wtext='Новым менеджером клуба <a href="club.php?id='.$id.'">'.$a[name].'</a> стал <a href="/users/profile.php?user='.$user_id.'">'.$login.'</a>.';
				mysql_query("insert into fman_news set time=$realtime, pl_id=0, club_id=0, text='$wtext'");
				$wtext='Новым менеджером клуба стал <a href="/users/profile.php?user='.$user_id.'">'.$login.'</a>.';
				mysql_query("insert into fman_news set time=$realtime, pl_id=0, club_id=$id, text='$wtext'");
				echo"<div class='menu'>Поздравляем! Вы стали менеджером клуба <b>$a[name]</b><br/>

				"; if($u9==0)echo"<b>После прохождения модерации вам будет доступен ваш клуб!</b><br/>";
				echo"<a href='index.php'>Играть!</a></div>";
			}
		}
		break;
	}
	echo"<div class='phdr'><a href='index.php'>Фут.Менеджер</a></div>";
}
if(!$user_id)echo"<div class='menu'>Чтобы получить команду сначала зарегистрируйтесь или авторизируйтесь на сайте.</div>";
require_once("../incfiles/end.php"); 
?>
